<template>
  <tr>
    <td>{{ firstname }}</td>
    <td>{{ lastname }}</td>
    <td>{{ username }}</td>
    <td>{{ email }}</td>
    <td>{{ roles }}</td>
    <td>{{ status }}</td>
    <td>
      <router-link :to="{ name: 'userEdit', params: { id: id } }"
      >Modifier</router-link
      ><br />
      <button class="btn btn-link" v-on:click="deleteData({id})">
        Supprimer
      </button>
    </td>
  </tr>
</template>

<script>
export default {
  props: ["id", "firstname", "lastname", "username","roles", "email", "status"],
  methods: {
    deleteData(id) {
      this.$store.dispatch("users/deleteUser", id);
      this.$router.replace("/administration/utilisateurs");
    },
  },
};
</script>

<style scoped>
.color-hint-button {
  background: teal;
}
</style>

